
<link rel="stylesheet" href="css/galeria_dodaj.css" />
<?php
  
  //-----------------------------------
  //Nazwy fotogalerii
  $nazwa = $_SESSION['nazwa'];
  $dir = 'pliki/upload/'.$nazwa.'/galeria-1/duze/';
  $lp1 = scandir($dir);
  $liczba_plikow1 = (count($lp1)-2);
  
  $dir = 'pliki/upload/'.$nazwa.'/galeria-2/duze/';
  $lp2 = scandir($dir);
  $liczba_plikow2 = (count($lp2)-2);
  
  $dir = 'pliki/upload/'.$nazwa.'/galeria-3/duze/';
  $lp3 = scandir($dir);
  $liczba_plikow3 = (count($lp3)-2);
  
  if (isset($_GET['gm'])) {
    if ($_GET['gm']==1) {
      zamknij_karty(1);
    }
    if ($_GET['gm']==2) {
      zamknij_karty(2);
    }
    if ($_GET['gm']==3) {
      zamknij_karty(3);
    }
    if ($_GET['gm']==4) {
      zamknij_karty(4);
    }
  
  }
  
  function zamknij_karty($nr) {
    echo '<style>';
      echo '#tab1 { display: none; }';
      echo '#tab2 { display: none; }';
      echo '#tab3 { display: none; }';
      echo '#tab4 { display: none; }';
      echo '#tab'.$nr.' { display: block; }';
      
      echo '#galtaby_tlo1 { background: #C52; }';
      echo '#galtaby_tlo2 { background: #C52; }';
      echo '#galtaby_tlo3 { background: #C52; }';
      echo '#galtaby_tlo4 { background: #C52; }';
      echo '#galtaby_tlo'.$nr.' { background: #2C6; }';
      echo '</style>';
  }
  
  function odswiez_liczbe_plikow() {
    
  }
?>  
<div id="tab_tlo2">
  <h1 id="h3_tytul">Nasze fotogalerie<small> dodaj zdjęcia metodą przeciągnij i upuść...</small></h1>  
  <div id="taby" style="width: 850px; background: #def; padding: 5px 0; margin: 0;">
    <div style="width: 650px; height: 50px; background: #69a; margin: 0 auto; padding: 0 0 0 90px; border: 1px ridge #007;">
      <div id="galtaby_tlo1">
        <a id="button_menu7" class="tabg1" title="#tab1" href="?m=22&gm=1">Fotogalerie</a>
      </div>
      <div id="galtaby_tlo2">
        <a id="button_menu7" class="tabg2" title="#tab2" href="?m=22&gm=2">Dodaj foto</a>
      </div>
      <div id="galtaby_tlo3">
        <a id="button_menu7" class="tabg3" title="#tab3" href="?m=22&gm=3">Edycja</a>
      </div>
      <div id="galtaby_tlo4">
        <a id="button_menu7" class="tabg4" title="#tab4" href="?m=22&gm=4">Pomoc</a>
      </div>      
    </div>
    <div id="tab1">
      <div id="wybor_fotogalerii">
<?php
    $lwu = count($_SESSION['usersn']);
    for ($i=0; $i<$lwu; $i++) {
      $d = 'pliki/upload/'.$_SESSION['usersn'][$i].'/galeria-1/duze/';
      $lp = scandir($d);
      $lip1[$i] = (count($lp)-2);
    }
    for ($i=0; $i<$lwu; $i++) {
      $d = 'pliki/upload/'.$_SESSION['usersn'][$i].'/galeria-2/duze/';
      $lp = scandir($d);
      $lip2[$i] = (count($lp)-2);
    }
    for ($i=0; $i<$lwu; $i++) {
      $d = 'pliki/upload/'.$_SESSION['usersn'][$i].'/galeria-3/duze/';
      $lp = scandir($d);
      $lip3[$i] = (count($lp)-2);
    }
    for ($i=0; $i<$lwu; $i++) {
      $slip[$i]=$lip1[$i]+$lip2[$i]+$lip3[$i];
    }
    //---------------------------------------
  
    echo '<h3>Wybór fotogalerii</h2>';
    echo '------------------------------------------------------------------';
    echo '<p style="margin: 0; padding: 0;">Uczestnicy</p>';
    for ($i=0; $i<$lwu; $i++) {
      if ($_SESSION['userss'][$i]==0) {   
        if ($_SESSION['usersn'][$i]!='Test_u') {
          echo '<a href="pliki/galeria.php?nu='.$i.'" onclick="this.target=\'_blank\'"><input type="button" id="button_menu2" style="margin: 5px 10px;" value="'.$_SESSION['usersn'][$i].' - '.$slip[$i].'"></a>';
         }
      }

    }
  
    echo '<br /><br /><p style="margin: 0; padding: 0;">Wolontariusze - Asystenci - Administrator</p>';
    for ($i=0; $i<$lwu; $i++) {
      if ($_SESSION['userss'][$i]>0) {
        if (($_SESSION['usersn'][$i]!='Test_w') && ($_SESSION['usersn'][$i]!='Test_a')) {
          echo '<a href="pliki/galeria.php?nu='.$i.'" onclick="this.target=\'_blank\'"><input type="button" id="button_menu2" style="margin: 5px 10px;" value="'.$_SESSION['usersn'][$i].' - '.$slip[$i].'"></a>';
         }
       }
    }
  
?>
      </div>
    </div>
    
    <div id="tab2">
      <div id="wybor_galerii">
<?php
  echo '<div id="lp_df" style="width: 700px; height: 25px; background: #aef; margin: 2px auto; border: 1px ridge #8dc; padding: 3px 10px">';
  echo 'Liczba fotografii w fotogaleriach:&nbsp;&nbsp;';
  echo 'Galeria-1 - '.$liczba_plikow1.'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Galeria-2 - '.$liczba_plikow2.'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Galeria-3 - '.$liczba_plikow3;
  echo '</div>';
?>    
        <select id="galeria_wybierz_galerie">
            <option value="gal1">Galeria - 1</option>
            <option value="gal2">Galeria - 2</option>
            <option value="gal3">Galeria - 3</option>
        </select>
        Wybierz galerię
      </div>
      <div id="dragandrophandler">
      <br /><br /><br />Przeciągnij i upuść
      </div><br><br>
      <div id="tlo_status1">
        <div id="status1">
        </div>
      </div>
    </div>
    
  <div id="tab3">
    <div id="fotogaleria_edycja">
      <span style="text-size: 1.3em;">Edycja fotogalerii</span>
      <div id="galedycja_tlo_usun">
<?php
  echo '<div id="galedycja_usun1">';
  $dir='pliki/upload/'.$nazwa.'/galeria-1/male/';    
  $f1 = scandir($dir);
  if ($liczba_plikow1>0) {
    echo 'Galeria - 1';
    echo '<select id="galtb_fot" class="galusun1" name="pliki1" size="0">';
    foreach (new DirectoryIterator($dir) as $fileInfo) {
      if($fileInfo->isDot()) continue;
      echo '<option value="'.$fileInfo->getFilename().'">'.$fileInfo->getFilename().'</option>';
    }
    echo '</select>';
      
      
      echo '<div id="galedycja_usun_img1">';
        echo '<img src="pliki/upload/'.$nazwa.'/galeria-1/male/'.$f1[2].'" width="120" height="80" alt="" title="" />';
      echo '</div>';
        echo '<div id="galedycja_usun_nr1">';
          echo 'Fotografia 1 / '.$liczba_plikow1;
        echo '</div>';
        echo '<input type="button" id="button_menu4" class="usun_plik1" value="Usuń wybrany plik" />';
        echo '<div id="galusun_wszystkie">';
          echo '<input type="button" id="button_menu4" class="usun_pliki1" value="Usuń wszystkie" />';
        echo '</div>';
  } else {
    echo 'Galeria - 1<br /><br />';
    echo 'Brak plików<br /><br />';
  }
    echo '</div>';
    //---------------------------------------------------
    
    
    echo '<div id="galedycja_usun2">';
  if ($liczba_plikow2>0) {  
  $dir='pliki/upload/'.$nazwa.'/galeria-2/male/';    
  $f1 = scandir($dir);
  echo 'Galeria - 2';
  echo '<select id="galtb_fot" class="galusun2" name="baza" size="0">';
  foreach (new DirectoryIterator($dir) as $fileInfo) {
    if($fileInfo->isDot()) continue;
    echo '<option value="'.$fileInfo->getFilename().'">'.$fileInfo->getFilename().'</option>';
  }
  echo '</select>';
    
    
    echo '<div id="galedycja_usun_img2">';
      echo '<img src="pliki/upload/'.$nazwa.'/galeria-2/male/'.$f1[2].'" width="120" height="80" alt="" title="" />';
    echo '</div>';
      echo '<div id="galedycja_usun_nr2">';
        echo 'Fotografia 1 / '.$liczba_plikow2;
      echo '</div>';
      echo '<input type="button" id="button_menu4" class="usun_plik2" value="Usuń wybrany plik" />';
      echo '<div id="galusun_wszystkie">';
        echo '<input type="button" id="button_menu4" class="usun_pliki2" value="Usuń wszystkie" />';
      echo '</div>';
  } else {
    echo 'Galeria - 2<br /><br />';
    echo 'Brak plików<br /><br />';
  }          
    echo '</div>';
    //-----------------------------------------------
    
    
    echo '<div id="galedycja_usun3">';
  if ($liczba_plikow3>0) {
  $dir='pliki/upload/'.$nazwa.'/galeria-3/male/';    
  $f1 = scandir($dir);
  echo 'Galeria - 3';
  echo '<select id="galtb_fot" class="galusun3" name="baza" size="0">';
  foreach (new DirectoryIterator($dir) as $fileInfo) {
    if($fileInfo->isDot()) continue;
    echo '<option value="'.$fileInfo->getFilename().'">'.$fileInfo->getFilename().'</option>';
  }
  echo '</select>';
        
    echo '<div id="galedycja_usun_img3">';
      echo '<img src="pliki/upload/'.$nazwa.'/galeria-3/male/'.$f1[2].'" width="120" height="80" alt="" title="" />';
    echo '</div>';
      echo '<div id="galedycja_usun_nr3">';
        echo 'Fotografia 1 / '.$liczba_plikow3;
      echo '</div>';
      echo '<input type="button" id="button_menu4" class="usun_plik3" value="Usuń wybrany plik" />';
        echo '<div id="galusun_wszystkie">';
        echo '<input type="button" id="button_menu4" class="usun_pliki3" value="Usuń wszystkie" />';
      echo '</div>';
  } else {
    echo 'Galeria - 3<br /><br />';
    echo 'Brak plików<br /><br />';
  }
  echo '</div>';
  
  //--------------------------
  require_once('wiras_php/wa_baza/wa_polacz.php');
    $zap = 'SELECT * FROM galeria WHERE id_user='.$_SESSION['id'];
    $pobierz = mysqli_query($db, $zap);
      $dane = array();
      while ($wiersz = mysqli_fetch_row($pobierz)) 
      {
        $dane[] = $wiersz;
      }
  
  
  $nazwa1 = $dane[0][2];
  $nazwa2 = $dane[0][3];
  $nazwa3 = $dane[0][4];
  
  echo '<div id="galnazwa">';
    echo 'Zmień nazwę galerii - 1<br />';
    echo 'Aktualna nazwa<br />';
    echo '<span style="color: #600">'.$nazwa1.'</span><br /><br />';
    echo 'Wpisz nową nazwę (max 50 znaków)';
    echo '<input id="galedycja_tb" type="text" class="nazgal1">';
    echo '<input type="button" id="button_menu4" class="nazwa1" value="Zapisz nazwę" />';
  echo '</div>';
  echo '<div id="galnazwa">';
    echo 'Zmień nazwę galerii - 2<br />';
    echo 'Aktualna nazwa<br />';
    echo '<span style="color: #600">'.$nazwa2.'</span><br /><br />';
    echo 'Wpisz nową nazwę (max 50 znaków)';
    echo '<input id="galedycja_tb" type="text" class="nazgal2">';
    echo '<input type="button" id="button_menu4" class="nazwa2" value="Zapisz nazwę" />';
  echo '</div>';
  echo '<div id="galnazwa">';
    echo 'Zmień nazwę galerii - 3<br />';
    echo 'Aktualna nazwa<br />';
    echo '<span style="color: #600">'.$nazwa3.'</span><br /><br />';
    echo 'Wpisz nową nazwę (max 50 znaków)';
    echo '<input id="galedycja_tb" type="text" class="nazgal3">';
    echo '<input type="button" id="button_menu4" class="nazwa3" value="Zapisz nazwę" />';
  echo '</div>';
?>
          
        
        
      </div>      
      </div>
    </div>
    
    <div id="tab4" >
      <div id="fotogaleria_pomoc">
      <h2 style="text-align: center; padding: 5px">Pomoc</h2>
      Do każdej fotogalerii można dodać 20 zdjęć, czyli w sumie każdy może zamieścić 60 swoich fotografii<br />
      Fotogaleria obsługuje zdjęcia z rozszerzeniem *.jpg oraz *.png<br />
      Rozdzielczość fotografii jest automatycznie zmniejszana w czasie wysyłania pliku na serwer.<br />
      Maksymalna rozdzielczość fotografii to 1200 x 800 pikseli<br /><br />
      Dodawanie zdjęć do fotogalerii w 6 prostych krokach:<br />
      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1) Otwórza zakładkę - Dodaj foto<br />
      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2) Zmniejsz okno Twojej przeglądarki do połowy ekranu monitora<br />
      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3) Przygotuj folder ze zdjęciami, które chcesz umieścić na stronie<br />
      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4) Zaznacz wszystkie zdjęcia w wybranym folderze np. CTRL+A<br />
      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;5) Kliknij lewym klawiszem myszki na zaznaczone zdjęcia a następnie
      przeciągnij je nad pole z napisem: "Przeciągnij i upuść" w Twojej przeglądarce<br />
      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;6) Puść lewy klawisz myszki i poczekaj aż wszystkie fotografie zostaną
      przesłane na serwer (pasek postępu musi osiągnąć 100%)<br><br>
      To wszystko! Prawda, że proste... :)<br>
      Teraz przejdź do zakładki "Fotogalerie" i kliknij na przycisk z Twoją nazwą. Na przycisku oprócz Twojej nazwy będzie
      informacja o liczbie zdjęć w Twoich fotogaleriach.<br /><br />
      Fotogaleria w najbliższym czasie będzie rozbudowana o możliwość usuwania zdjęć w poszczególnych fotogaleriach...<br />
      
      
      
      </div>
    </div>
    
    
  </div>
  
</div>
  
  
<script type="text/javascript">
<?php
  echo "var l_plik1 = ".$liczba_plikow1.";";
  echo "var l_plik2 = ".$liczba_plikow2.";";
  echo "var l_plik3 = ".$liczba_plikow3.";";
  echo "var gal_nazwa = '".$nazwa."';";
?>
  var nr_gal=1;
  var url_string = '';
  
    function sendFileToServer(formData,status)
  {
    url_string = 'pliki/galeria_upload_'+nr_gal+'.php';
    var uploadURL = url_string; //Upload URL
    var extraData ={}; //Extra Data.
    var jqXHR=$.ajax({
        xhr: function() {
        var xhrobj = $.ajaxSettings.xhr();
        if (xhrobj.upload) {
            xhrobj.upload.addEventListener('progress', function(event) {
              var percent = 0;
              var position = event.loaded || event.position;
              var total = event.total;
              if (event.lengthComputable) {
                percent = Math.ceil(position / total * 100);
              }
              //Set progress
              status.setProgress(percent);
            }, false);
          }
        return xhrobj;
      },
    url: uploadURL,
    type: "POST",
    contentType:false,
    processData: false,
      cache: false,
      data: formData,
      success: function(data){
        status.setProgress(100);
        $("#status1").append("Przesyłanie pliku zakończone<br>"); 
        window.location.reload();
      }
    }); 
    status.setAbort(jqXHR);
  }
 
var rowCount=0;
  function createStatusbar(obj)
  {
     rowCount++;
     var row="odd";
     if(rowCount %2 ==0) row ="even";
     this.statusbar = $("<div class='statusbar "+row+"'></div>");
     this.filename = $("<div class='filename'></div>").appendTo(this.statusbar);
     this.size = $("<div class='filesize'></div>").appendTo(this.statusbar);
     this.progressBar = $("<div class='progressBar'><div></div></div>").appendTo(this.statusbar);
     this.abort = $("<div class='abort'>Abort</div>").appendTo(this.statusbar);
     obj.after(this.statusbar);
   
    this.setFileNameSize = function(name,size)
    {
      var sizeStr="";
      var sizeKB = size/1024;
      if(parseInt(sizeKB) > 1024)
      {
        var sizeMB = sizeKB/1024;
        sizeStr = sizeMB.toFixed(2)+" MB";
      }
      else
      {
        sizeStr = sizeKB.toFixed(2)+" KB";
      }
   
      this.filename.html(name);
      this.size.html(sizeStr);
    }
    this.setProgress = function(progress)
    {       
      var progressBarWidth =progress*this.progressBar.width()/ 100;  
      this.progressBar.find('div').animate({ width: progressBarWidth }, 10).html(progress + "% ");
      if(parseInt(progress) >= 100)
      {
        this.abort.hide();
      }
    }
    this.setAbort = function(jqxhr)
    {
      var sb = this.statusbar;
      this.abort.click(function()
      {
        jqxhr.abort();
        sb.hide();
      });
    }
  }
  
  
  function handleFileUpload(files,obj)
  {
     var przeslij=false;
     var lp = false;
     var fn='';
     var fs=0;
     var ext='';
     for (var i = 0; i < files.length; i++) {
       fn = files[i].name;
       ext = fn.substr((fn.lastIndexOf('.')+1)).toLowerCase();
        switch(ext) {
        case 'jpg':
        case 'png':
          przeslij=true;
        break; 
        default:
          przeslij=false;
          alert('Nieprawidłowy format pliku');
      }
     }
     if (nr_gal==1) {
       if ((l_plik1+files.length)>20) {
         przeslij=false;
         alert('Przekroczyłeś dozwoloną liczbę zdjęć w galerii-1 (20)');
       }
     }
     if (nr_gal==2) {
       if ((l_plik2+files.length)>20) {
         przeslij=false;
         alert('Przekroczyłeś dozwoloną liczbę zdjęć w galerii-2 (20)');
       }
     }
     if (nr_gal==3) {
       if ((l_plik3+files.length)>20) {
         przeslij=false;
         alert('Przekroczyłeś dozwoloną liczbę zdjęć w galerii-3 (20)');
       }
     }
     if (przeslij) {
       for (var i = 0; i < files.length; i++) 
       {
        var fd = new FormData();
        fd.append('file', files[i]);
     
        var status = new createStatusbar(obj); //Using this we can set progress.
        status.setFileNameSize(files[i].name,files[i].size);
        sendFileToServer(fd,status);
       }
    } 
  }
  
  
  $(document).ready(function(){
    var obj = $("#dragandrophandler");
    obj.on('dragenter', function (e) 
    {
      e.stopPropagation();
      e.preventDefault();
      $(this).css('border', '2px solid #0B85A1');
    });
    obj.on('dragover', function (e) 
    {
       e.stopPropagation();
       e.preventDefault();
    });
    obj.on('drop', function (e) 
    {
     
       $(this).css('border', '2px dotted #0B85A1');
       e.preventDefault();
       var files = e.originalEvent.dataTransfer.files;
     
       //We need to send dropped files to Server
       handleFileUpload(files,obj);
    });
    
    $(document).on('dragenter', function (e) 
    {
      e.stopPropagation();
      e.preventDefault();
    });
    
    $(document).on('dragover', function (e) 
    {
      e.stopPropagation();
      e.preventDefault();
      obj.css('border', '2px dotted #0B85A1');
    });
    
    $(document).on('drop', function (e) 
    {
      e.stopPropagation();
      e.preventDefault();
    });
      
    
    
    $('#galeria_wybierz_galerie').change(function() { 
      var opcja = $('#galeria_wybierz_galerie').val();
      nr_gal = opcja.slice(3, opcja.length);      
    })
    
    $(document).on("change", ".galusun1", function () {
      var opcja = $('.galusun1').val();
      var nr = ($('.galusun1 option:selected').index()+1);
      var fot = '<img src="pliki/upload/'+gal_nazwa+'/galeria-1/male/'+opcja+'" width="120" height="80" />';
      $('#galedycja_usun_img1').html(fot);
      $('#galedycja_usun_nr1').html('Fotografia '+nr+' / '+l_plik1);
    })
    
    $(document).on("change", ".galusun2", function () {
      var opcja = $('.galusun2').val();
      var nr = ($('.galusun2 option:selected').index()+1);
      var fot = '<img src="pliki/upload/'+gal_nazwa+'/galeria-2/male/'+opcja+'" width="120" height="80" />';
      $('#galedycja_usun_img2').html(fot);
      $('#galedycja_usun_nr2').html('Fotografia '+nr+' / '+l_plik2);
    })
    
    $(document).on("change", ".galusun3", function () {
      var opcja = $('.galusun3').val();
      var nr = ($('.galusun3 option:selected').index()+1);
      var fot = '<img src="pliki/upload/'+gal_nazwa+'/galeria-3/male/'+opcja+'" width="120" height="80" />';
      $('#galedycja_usun_img3').html(fot);
      $('#galedycja_usun_nr3').html('Fotografia '+nr+' / '+l_plik3);
    })
    
    $(document).on("click", ".usun_plik1", function () {
      var opcja = $('.galusun1').val();
      var plik = opcja.slice(2, opcja.length);
      var w1d = 'd_'+plik;
      var w1m = 'm_'+plik;
      var w2 = gal_nazwa;
      var w3 = 1;
       $.ajax({
            type:"POST",
            url:"pliki/usun_gal_jeden.php", 
            data: {k1:w1d, k2:w1m, k3:w2, k4:w3},
                 
                success:function(s) {
          if (l_plik1>0) l_plik1--;
          $('#galedycja_usun1').html(s);
                },
                error: function(blad) {
                    console.log("Błąd-Problem z usunięciem fotografii  w galerii 1"); 
                }
      });
    });
    
    $(document).on("click", ".usun_plik2", function () {
      var opcja = $('.galusun2').val();
      var plik = opcja.slice(2, opcja.length);
      var w1d = 'd_'+plik;
      var w1m = 'm_'+plik;
      var w2 = gal_nazwa;
      var w3 = 2;
       $.ajax({
            type:"POST",
            url:"pliki/usun_gal_jeden.php", 
            data: {k1:w1d, k2:w1m, k3:w2, k4:w3},
                 
                success:function(s) {
          if (l_plik1>0) l_plik1--;
          $('#galedycja_usun2').html(s);
                },
                error: function(blad) {
                    console.log("Błąd-Problem z usunięciem fotografii w galerii 2"); 
                }
      });
    });
    
    
    $(document).on("click", ".usun_plik3", function () {
      var opcja = $('.galusun3').val();
      var plik = opcja.slice(2, opcja.length);
      var w1d = 'd_'+plik;
      var w1m = 'm_'+plik;
      var w2 = gal_nazwa;
      var w3 = 3;
       $.ajax({
            type:"POST",
            url:"pliki/usun_gal_jeden.php", 
            data: {k1:w1d, k2:w1m, k3:w2, k4:w3},
                 
                success:function(s) {
          if (l_plik1>0) l_plik1--;
          $('#galedycja_usun3').html(s);
                },
                error: function(blad) {
                    console.log("Błąd-Problem z usunięciem fotografii w galerii 3"); 
                }
      });
    });
    
    $(document).on("click", ".usun_pliki1", function () {
      var w1 = gal_nazwa;
      var w2 = 1;
      $.ajax({
            type:"POST",
            url:"pliki/usun_gal_wszystkie.php", 
            data: {k1:w1, k2:w2},                 
                success:function(s) {
          window.location.reload();
                },
                error: function(blad) {
                    console.log("Błąd-Problem z usunięciem galerii 1"); 
                }
      });
    });  
    
    $(document).on("click", ".usun_pliki2", function () {
      var w1 = gal_nazwa;
      var w2 = 2;
      $.ajax({
            type:"POST",
            url:"pliki/usun_gal_wszystkie.php", 
            data: {k1:w1, k2:w2},                 
                success:function(s) {
          window.location.reload();
                },
                error: function(blad) {
                    console.log("Błąd-Problem z usunięciem galerii 1"); 
                }
      });
    });  
    
    $(document).on("click", ".usun_pliki3", function () {
      var w1 = gal_nazwa;
      var w2 = 3;
      $.ajax({
            type:"POST",
            url:"pliki/usun_gal_wszystkie.php", 
            data: {k1:w1, k2:w2},                 
                success:function(s) {
          window.location.reload();
                },
                error: function(blad) {
                    console.log("Błąd-Problem z usunięciem galerii 1"); 
                }
      });
    });  
    
    $(document).on("click", ".nazwa1", function () {
      var w1 = $('.nazgal1').val();
      var w2 = 1;
      $.ajax({
            type:"POST",
            url:"pliki/gal_zmien_nazwe.php", 
            data: {k1:w1, k2:w2},                 
                success:function(s) {
          window.location.reload();
                },
                error: function(blad) {
                    console.log("Błąd-Problem ze zmianą nazwy galerii 1"); 
                }
      });
    });  
    
    $(document).on("click", ".nazwa2", function () {
      var w1 = $('.nazgal2').val();
      var w2 = 2;
      $.ajax({
            type:"POST",
            url:"pliki/gal_zmien_nazwe.php", 
            data: {k1:w1, k2:w2},                 
                success:function(s) {
          window.location.reload();
                },
                error: function(blad) {
                    console.log("Błąd-Problem ze zmianą nazwy galerii 2"); 
                }
      });
    });

    $(document).on("click", ".nazwa3", function () {
      var w1 = $('.nazgal3').val();
      var w2 = 3;
      $.ajax({
            type:"POST",
            url:"pliki/gal_zmien_nazwe.php", 
            data: {k1:w1, k2:w2},                 
                success:function(s) {
          window.location.reload();
                },
                error: function(blad) {
                    console.log("Błąd-Problem ze zmianą nazwy galerii 3"); 
                }
      });
    });  
});
</script>

